# Docker support for the NP-TMcode project

This Dockerfile allows to create mainly:

- the np-tmcode image that is used by the gitlab pipeline runner to test compile and execution of requested merges
- the np-tmcode-run image, that contains only the pre-built executables, python test scripts, compiled documentation, and the minimal runtime to run them

In order for the docker build to correctly set the context, so that it can access the directories containing source codes, docker build must be invoked from this directory as:

   > docker build -f Dockerfile ../.. --target <image name>

where `<image name>` is either `np-tmcode` or `np-tmcode-run`. One may also add the docker build option `-t tagname` to specify the `tagname` the built image should have in his/her registry.